function searchProfileByUserIdClick() {
    $('#search_profile_dialog').modal('show');
    initSearchProfileTable([]);
}
function setProfilePortraitClick() {

    var tag_list = [
        "Tag_Profile_IM_Nick",
        "Tag_Profile_IM_Gender",
        "Tag_Profile_IM_AllowType"
    ];
    var options = {
        'From_Account': loginInfo.identifier,
        'To_Account': [loginInfo.identifier],
        'LastStandardSequence': 0,
        'TagList': tag_list
    };

    webim.getProfilePortrait(
            options,
            function (resp) {
                if (resp.UserProfileItem && resp.UserProfileItem.length > 0) {
                    for (var i in resp.UserProfileItem) {
                        var nick, gender, allowType;
                        for (var j in resp.UserProfileItem[i].ProfileItem) {
                            switch (resp.UserProfileItem[i].ProfileItem[j].Tag) {
                                case 'Tag_Profile_IM_Nick':
                                    nick = resp.UserProfileItem[i].ProfileItem[j].Value;
                                    break;
                                case 'Tag_Profile_IM_Gender':
                                    gender = resp.UserProfileItem[i].ProfileItem[j].Value;
                                    break;

                                case 'Tag_Profile_IM_AllowType':
                                    allowType = resp.UserProfileItem[i].ProfileItem[j].Value;
                                    break;

                            }
                        }
                        // 
                        
                        $("#spp_nick").val(nick);
                        $("input[type=radio][name='spp_gender_radio'][value=" + gender + "]").attr("checked", "checked");
                        $("input[type=radio][name='spp_allow_type_radio'][value=" + allowType + "]").attr("checked", "checked");

                    }
                }

            },
            function (err) {
                alert(err.ErrorInfo);
            }
    );
    $('#set_profile_portrait_dialog').modal('show');

}
function spOperateFormatter(value, row, index) {
    return [
        '<a class="plus" href="javascript:void(0)" title="添加好友">',
        '<i class="glyphicon glyphicon-plus"></i>',
        '</a>'

    ].join('');
}
window.spOperateEvents = {
    'click .plus': function (e, value, row, index) {

        $('#af_to_account').val(row.To_Account);
        $('#af_allow_type').val(row.AllowType);
        if (row.AllowType == '允许任何人') {
            applyAddFriend();
        } else {
            $('#add_friend_dialog').modal('show');
        }
    }
};
function initSearchProfileTable(data) {
    $('#search_profile_table').bootstrapTable({
        method: 'get',
        cache: false,
        height: 500,
        striped: true,
        pagination: true,
        pageSize: pageSize,
        pageNumber: 1,
        pageList: [10, 20, 50, 100],
        search: true,
        showColumns: true,
        clickToSelect: true,
        columns: [
            {field: "To_Account", title: "账号", align: "center", valign: "middle", sortable: "true"},
            {field: "Nick", title: "昵称", align: "center", valign: "middle", sortable: "true"},
            {field: "Gender", title: "性别", align: "center", valign: "middle", sortable: "true"},
            {field: "AllowType", title: "加好友设置", align: "center", valign: "middle", sortable: "true", visible: false},
            {field: "spOperate", title: "操作", align: "center", valign: "middle", formatter: "spOperateFormatter", events: "spOperateEvents"}
        ],
        data: data,
        formatNoMatches: function () {
            return '无符合条件的记录';
        }
    });
}
//搜索用户
var searchProfileByUserId = function () {

    if ($("#sp_to_account").val().length == 0) {
        alert('请输入用户ID');
        return;
    }

    if (webim.Tool.trimStr($("#sp_to_account").val()).length == 0) {
        alert('您输入的用户ID全是空格,请重新输入');
        return;
    }

    var tag_list = [
        "Tag_Profile_IM_Nick",
        "Tag_Profile_IM_Gender",
        "Tag_Profile_IM_AllowType"
    ];
    var options = {
        'From_Account': loginInfo.identifier,
        'To_Account': [$("#sp_to_account").val()],
        'LastStandardSequence': 0,
        'TagList': tag_list
    };

    webim.getProfilePortrait(
            options,
            function (resp) {
                var data = [];
                if (resp.UserProfileItem && resp.UserProfileItem.length > 0) {
                    for (var i in resp.UserProfileItem) {
                        var to_account = resp.UserProfileItem[i].To_Account;
                        var nick = null, gender = null, allowType = null;
                        for (var j in resp.UserProfileItem[i].ProfileItem) {
                            switch (resp.UserProfileItem[i].ProfileItem[j].Tag) {
                                case 'Tag_Profile_IM_Nick':
                                    nick = resp.UserProfileItem[i].ProfileItem[j].Value;
                                    break;
                                case 'Tag_Profile_IM_Gender':
                                    switch (resp.UserProfileItem[i].ProfileItem[j].Value) {
                                        case 'Gender_Type_Male':
                                            gender = '男';
                                            break;
                                        case 'Gender_Type_Female':
                                            gender = '女';
                                            break;
                                        case 'Gender_Type_Unknown':
                                            gender = '未知';
                                            break;
                                    }
                                    break;
                                case 'Tag_Profile_IM_AllowType':
                                    switch (resp.UserProfileItem[i].ProfileItem[j].Value) {
                                        case 'AllowType_Type_AllowAny':
                                            allowType = '允许任何人';
                                            break;
                                        case 'AllowType_Type_NeedConfirm':
                                            allowType = '需要确认';
                                            break;
                                        case 'AllowType_Type_DenyAny':
                                            allowType = '拒绝任何人';
                                            break;
                                        default:
                                            allowType = '需要确认';
                                            break;
                                    }
                                    break;
                            }
                        }
                        data.push({
                            'To_Account': to_account,
                            'Nick': webim.Tool.formatText2Html(nick),
                            'Gender': gender,
                            'AllowType': allowType
                        });
                    }
                }

                $('#search_profile_table').bootstrapTable('load', data);

            },
            function (err) {
                alert(err.ErrorInfo);
            }
    );

};

//设置个人资料
var setProfilePortrait = function () {

    if ($("#spp_nick").val().length == 0) {
        alert('请输入昵称');
        return;
    }
    if (webim.Tool.trimStr($("#spp_nick").val()).length == 0) {
        alert('您输入的昵称全是空格,请重新输入');
        return;
    }
    var profile_item = [
        {
            "Tag": "Tag_Profile_IM_Nick",
            "Value": $("#spp_nick").val()
        },
        {
            "Tag": "Tag_Profile_IM_Gender",
            "Value": $('input[name="spp_gender_radio"]:checked').val()
        },
        {
            "Tag": "Tag_Profile_IM_AllowType",
            "Value": $('input[name="spp_allow_type_radio"]:checked').val()
        }
    ];
    var options = {
        'From_Account': loginInfo.identifier,
        'ProfileItem': profile_item
    };

    webim.setProfilePortrait(
            options,
            function (resp) {
                $('#set_profile_portrait_dialog').modal('hide');
                alert('设置个人资料成功');
            },
            function (err) {
                alert(err.ErrorInfo);
            }
    );
};